%define	major 0
%define libname	%mklibname misdn %{major}

Summary:	Modular ISDN (mISDN) libraries
Name:		misdn
Version:	3.0
Release:	%mkrel 3
Group:		System/Libraries
License:	GPL
URL:		http://isdn.jolly.de/
Source0:	http://isdn.jolly.de/download/v3.0/mISDNuser_for_PBX4Linux-%{version}.tar.bz2
Patch0:		mISDNuser-CVS-2004-08-29-shared.diff
Patch1:		mISDNuser-CVS-2004-07-08-cvs_fixes.diff
Patch2:		mISDN_for_PBX4Linux_2005_03_06-gcc4.diff
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Modular ISDN (mISDN) is the new ISDN stack of the linux kernel
version 2.6.

This package provides shared and static libraries as well as 
various header files.

%package -n	%{libname}
Summary:	Modular ISDN (mISDN) libraries
Group:          System/Libraries
Epoch:		%{epoch}

%description -n	%{libname}
Modular ISDN (mISDN) is the new ISDN stack of the linux kernel
version 2.6.

This package provides the shared mISDN libraries.

%package -n	%{libname}-devel
Summary:	Static library and header files for the mISDN libraries
Group:		Development/C
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Epoch:		%{epoch}

%description -n	%{libname}-devel
Modular ISDN (mISDN) is the new ISDN stack of the linux kernel
version 2.6.

This package provides shared and static libraries and header
files.

%prep

%setup -q -n mISDNuser
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build

make CFLAGS="%{optflags} -fPIC -DPIC -I\$(INCLUDEDIR)"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}/mISDNuser

# install static libs
install -m0644 i4lnet/libisdnnet.a %{buildroot}%{_libdir}/
install -m0644 lib/libmISDN.a %{buildroot}%{_libdir}/
install -m0644 tenovis/lib/libtenovis.a %{buildroot}%{_libdir}/

# install shared libs
install -m0755 i4lnet/libisdnnet.so.%{major} %{buildroot}%{_libdir}/
install -m0755 lib/libmISDN.so.%{major} %{buildroot}%{_libdir}/
install -m0755 tenovis/lib/libtenovis.so.%{major} %{buildroot}%{_libdir}/

ln -s libisdnnet.so.%{major} %{buildroot}%{_libdir}/libisdnnet.so
ln -s libmISDN.so.%{major} %{buildroot}%{_libdir}/libmISDN.so
ln -s libtenovis.so.%{major} %{buildroot}%{_libdir}/libtenovis.so

# install headers
install -m0644 i4lnet/*.h %{buildroot}%{_includedir}/mISDNuser/
install -m0644 include/*.h %{buildroot}%{_includedir}/mISDNuser/
install -m0644 tenovis/lib/*.h %{buildroot}%{_includedir}/mISDNuser/

# hack the headers...
pushd %{buildroot}%{_includedir}/mISDNuser
    for h in *.h; do
	perl -pi -e "s|\"${h}\"|\<mISDNuser/${h}\>|g" *.h
    done
    perl -pi -e "s|\<mISDNif.h\>|\<mISDNuser/mISDNif.h\>|g" mISDNlib.h
popd

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/mISDNuser
%{_includedir}/mISDNuser/*.h
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Wed Aug 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.0-1mdv2007.0
- rebuild

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.0-2mdk
- rebuild

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.0-1mdk
- 3.0
- change include dir name to match asterisk-1.2.4+

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:3.0-0.beta.3mdk
- added one gcc4 fix

* Sat Apr 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:3.0-0.beta.2mdk
- fix deps (forgot epoch, oops!)

* Sat Apr 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0-0.beta.1mdk
- use the jolly code instead (3.0 beta)
- use the %%mkrel macro
- use epoch

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 20040708-2mdk
- hack the headers location

* Thu Jan 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 20040708-1mdk
- initial mandrake package
